#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCD,0x93,0x29,0xA4,0xAC,0xEB,0x2E,0xF3,0x63,0x95,0x52,0xB9,
		0xA5,0xD3,0x20,0xDC,0x57,0xFB,0x00,0xB8,0x4B,0xA4,0x22,0xA7,
		0xF1,0xE0,0x3B,0x15,0xC0,0x1A,0x4E,0x93,0x6A,0xFE,0xD1,0x70,
		0x89,0xF0,0xFA,0x4C,0xC4,0xB7,0xA8,0x81,0xF7,0x25,0xBC,0x41,
		0x29,0xFC,0xA4,0x6A,0x9B,0x82,0x6E,0x35,0xC0,0x90,0x22,0xE2,
		0xD3,0xBF,0x90,0xA7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
